//
// dist.DObjectManager - an interface implemented by the object managers
//                       in the dclient and the dserver
//
// This code is Copyright (C) 1997, go2net Inc. Permission is granted for
// any use so long as this header remains intact.
//
// Originally published in Deep Magic:
//     <URL:http://www.go2net.com/internet/deep/>
//
// The code herein is provided to you as is, without any warranty of any
// kind, including express or implied warranties, the warranties of
// merchantability and fitness for a particular purpose, and
// non-infringement of proprietary rights.  The risk of using this code
// remains with you.

package dist;

import java.io.IOException;

public interface DObjectManager
{
    //
    // DObjectManager public member functions

    public void attributeChanged (DObject object, String name,
                                  Object value) throws IOException;

    public DObject subscribeToObject (String oid, Subscriber sub)
         throws IOException;

    public void destroyObject (String oid) throws IOException;

    public void dispatchEvent (Event evt) throws IOException;
}
